VOIKKOHYPHENATE(1)

NAME
voikkohyphenate - test program for Voikko hyphenator

SYNOPSIS
voikkohyphenate [options]

DESCRIPTION
voikkohyphenate is a test program for hyphenator functionality in libvoikko, library of language tools. It reads words from stdin (one word on a line) and prints them stdout in fully hyphenated form.

OPTIONS

-sc Use c to separate syllables. By default - is used. If separator is set to a character other than -, all original characters of the hyphenated word are printed.

min_hyphenated_word_length=n
    Set n as the minimun length for words to hyphenate.

no_ugly_hyphenation=n

hyphenate_unknown_words=n
    Set the value of the specified boolean option. n can be either 0 (false) or 1 (true).

SEE ALSO
voikkospell for common options of different Voikko test tools.

AUTHOR
voikkohyphenate and this manual page were written by Harri Pitkänen (hatapitk@iki.fi).